Hermos API

Get Products Summary

Current catalog sellability and distinct live subscriptions (active, trialing, past_due) per product, including archived products. Gross all-time sales in native currencies are available only after verified revenue.v2 cutover. MRR is unavailable. as_of replays sales only; catalog state is read separately and remains current.

GET/reports/products_summary

Current catalog sellability and distinct live subscriptions (active, trialing, past_due) per product, including archived products. Gross all-time sales in native currencies are available only after verified revenue.v2 cutover. MRR is unavailable. as_of replays sales only; catalog state is read separately and remains current.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

product?string
as_of?string
status?string

Value in

  • "active"
  • "draft"
  • "archived"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/reports/products_summary"
{  "data": {    "object": "report",    "name": "products_summary",    "livemode": true,    "as_of": "string",    "as_of_time": "2019-08-24T14:15:22Z",    "source": "primary",    "product": "string",    "status": "active",    "counts": {      "all": 0,      "selling": 0,      "drafts": 0,      "archived": 0    },    "products": [      {        "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",        "plan_count": 0,        "selling": true,        "active_subscriptions": 0,        "all_time_sales": [          {            "amount": -9007199254740991,            "currency": "string"          }        ],        "monthly_revenue": null      }    ]  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}